Subject: Re: bug#47381: Atomic (fast) install

From: Peter Johansson <[email-masked]>
Date: Sat, 27 Mar 2021 19:27:21 +1000

On 25/3/21 8:24 pm, Дилян Палаузов wrote:
> • Please adjust Automake on “make install” to do (per default or with
> an option) atomic install of files, even when libtool is involved: the
> file is moved to a temporary destination first, and then rename(2)d, or
> the source is moved to the destination, disappearing from the source,
> or something like this.

As a workaround, I would write a script using the DESTDIR variable. 
First running make install DESTDIR=/some/path (please refer to the 
manual for details) and then move (rename) files from there to their 
final destination - or include the script in the Makefile if certain 
make variables are needed.

Cheers,

Peter